VoxelSniper Splash

Lead Design & Programming

gabizou, Deamon5550

VoxelSniper 5 will receive maintenance updates only for spigot, VoxelSniper version 7+ will be for Sponge only.

Sponge version: VoxelSniper for Sponge

Development Builds

Development builds of this project can be acquired at the provided continuous integration server. These builds have not been approved by the BukkitDev staff. Use them at your own risk.

Development Builds are available here: Development Builds


VoxelSniper is the premier long range map editing tool for Minecraft. This mod allows you to edit any block that you can see using an arrow (for replacing) and a gunpowder (for adding). It is best used by those with a strong attention to detail and fits a wide array of applications, from making detailed edits to structures with the snipe brush, to making massive terraforming jobs a breeze with some of the earth shattering soft selection tools.


This plugin utilises Hidendra's plugin metrics system, which means that the following information is collected and sent to mcstats.org:

  • A unique identifier
  • The server's version of Java
  • Whether the server is in offline or online mode
  • The plugin's version
  • The server's version
  • The OS version/name and architecture
  • The core count for the CPU
  • The number of players online
  • The Metrics version
  • The number of Snipers/LiteSnipers online
  • The number of times Brushes are used

Opting out of this service can be done by editing plugins/Plugin Metrics/config.yml and changing opt-out to true.

About us

The Voxel Box is a community-driven creative play server that consistently push the limits of what the Minecraft client and server can deliver to builders and to players. Over the past year and a half, it's blossomed into a place where some very talented people have built some of the most impressive Minecraft-related structures, software and concepts.

The VoxelBox


VoxelPlugins: A suite of plugins for Minecraft servers running Bukkit

Homepage: thevoxelbox.com

VoxelSniper Wiki: http://voxelsniper.wikia.com/wiki/VoxelSniper_Wiki

Twitter: @voxelbox

YouTube: youtube.com/voxelboxvideos

IRC: irc.esper.net #voxelbox #voxeldev


You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of SupremeMortal SupremeMortal Oct 16, 2016 at 11:11 UTC - 0 likes

    @Icefang23: Go

    You need to set your performer to combo "/p c" then use /v for the item id and /vi for the data value.

    Last edited Oct 16, 2016 by SupremeMortal
  • Avatar of Icefang23 Icefang23 Sep 12, 2016 at 23:50 UTC - 0 likes

    @EpicMinerBackup: Go

    try changing the tools used for the plugin, I believe there are commands for it on a number of sites that list all of the plugin commands.

    Aztec Empire

  • Avatar of EpicMinerBackup EpicMinerBackup Sep 11, 2016 at 04:06 UTC - 0 likes

    Hello I can't figure this out how do I disable it work working without disabling the whole plugin because I 'm having an issue where I always accidently deletes stuff with the tools

  • Avatar of Icefang23 Icefang23 Sep 06, 2016 at 04:45 UTC - 0 likes

    I'm having an issue trying to place color specific blocks, for example when I do the command /v 159:12 it says that it is an invalid bock ID while 159 is however i don't want white stained clay I want the other variations.

    This is an issue with other variable blocks such as sandstone, dirt, and stone. I tried selecting with the arrow but it selects the default block type and not the exact variation.

    Is there anyway to fix this or am I approaching this wrong?

  • Avatar of PapaHarni PapaHarni Jul 09, 2016 at 16:24 UTC - 0 likes

    i have an error into console by hitting Entities.

    Link > http://pastebin.com/JueiVy2tHERE


  • Avatar of Bonsall Bonsall Jun 23, 2016 at 01:21 UTC - 0 likes

    @ptiber: Go

    This is interesting, I didn't think version 7 would have worked with Spigot. Gonna try it on my server.

    Made possible by Voodoo Servers, good cheap Minecraft server hosting with amazing features.

  • Avatar of ptiber ptiber Jun 02, 2016 at 18:57 UTC - 0 likes

    I tried to use the version 7 with a 1.9.2 spigot server, and everything seems to work properly... Is it intented, is Spigot supported with the 7.x versions? Or am I going to get strange and nasty bugs later on...?

    Last edited Jun 02, 2016 by ptiber
  • Avatar of TheVoxelBox TheVoxelBox Jun 02, 2016 at 02:09 UTC - 0 likes

    @Pychew: Go

    Version 5.170 works on bukkit 1.8, no changes were required.

    VoxelPlugins: A suite of plugins for Minecraft Servers Running Bukkit

    The Voxel Box: Homepage: thevoxelbox.com || Twitter: @voxelbox

  • Avatar of Pychew Pychew Apr 25, 2016 at 10:26 UTC - 0 likes

    where is the 1.8 version? I would like 1.8 version.

  • Avatar of GodsDead GodsDead Apr 24, 2016 at 12:12 UTC - 0 likes

    Thank you SOOO much for updating V5 for 1.9.2, All documentation and videos are based on V5 and was able to jump straight into making it work! We are over the moon we are able to use VS again with all the docs and videos already out there! Thank you.


Date created
Dec 08, 2011
Last update
Mar 13, 2016
Development stage
  • enUS
MIT License
Curse link
Recent files